Get state probate details
curl --request GET \
--url https://api.example.com/v1/probate/states/{state_code} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/probate/states/{state_code}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/probate/states/{state_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"state_code": "UT",
"state_name": "Utah",
"probate_court_name": "District Court",
"governing_statute": "Utah Uniform Probate Code, Title 75",
"upc_adopted": true,
"community_property_state": false,
"probate_types": [
"formal_probate",
"informal_probate",
"small_estate_affidavit"
],
"small_estate_threshold": 100000,
"real_property_small_estate_threshold": 123,
"personal_property_small_estate_threshold": 123,
"statute_of_limitations_to_file": "3 years",
"creditor_claim_period": "3 months from notice publication",
"notice_requirements": {
"publication_required": true,
"publication_duration": "3 consecutive weeks",
"direct_notice_to_creditors": true,
"direct_notice_to_heirs": true,
"notice_deadline_after_appointment": 90
},
"bond_requirements": {
"required_by_default": true,
"can_be_waived_by_will": true,
"waivable_by_court": true,
"bond_amount_basis": "Value of personal property plus estimated annual income"
},
"executor_compensation": {
"method": "reasonable_compensation",
"statutory_rates": [
{
"up_to_amount": 123,
"percentage": 123
}
],
"notes": "Compensation must be approved by the court."
},
"spousal_rights": {
"elective_share": true,
"elective_share_percentage": 33.33,
"homestead_exemption": true,
"homestead_exemption_amount": 40000,
"family_allowance": true,
"family_allowance_amount": 27000,
"family_allowance_duration": "12 months",
"exempt_property_allowance": true,
"exempt_property_allowance_amount": 15000,
"community_property_rights": "<string>"
},
"intestate_succession_rules": {
"surviving_spouse_share": "All if no descendants or parents; $75,000 + 50% of balance if descendants",
"children_share": "Equal shares of remainder after spouse's share",
"parents_share": "If no surviving spouse or descendants, equally to parents",
"siblings_share": "If no surviving spouse, descendants, or parents",
"no_surviving_heirs": "Escheats to the state"
},
"will_requirements": {
"minimum_age": 18,
"witnesses_required": 2,
"notarization_required": false,
"holographic_wills_accepted": true,
"self_proving_affidavit_accepted": true,
"electronic_wills_accepted": false,
"nuncupative_oral_wills_accepted": false
},
"tax_information": {
"state_estate_tax": false,
"estate_tax_threshold": 123,
"state_inheritance_tax": false,
"inheritance_tax_rates": "<string>",
"income_tax_on_estate": true,
"fiduciary_income_tax_return_required": true
},
"special_rules": [
"Utah allows informal probate without court hearing"
],
"independent_administration_available": true,
"will_contest_deadline": "Within 12 months of probate filing",
"executor_residency_requirement": "No residency requirement",
"attorney_required": false
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}Probate Reference
Get state probate details
Retrieve comprehensive probate information for a state including laws, thresholds, requirements, tax info, and spousal rights.
GET
/
probate
/
states
/
{state_code}
Get state probate details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Two-letter state code (e.g., UT, CA, NY).
Required string length:
2Response
Full state probate details.
Show child attributes
Show child attributes
⌘I

